OpenCV: NppStInterpolationState Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Attributes | List of all members
NppStInterpolationState Struct Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Legacy support » NPPST Image Processing

`#include "NPP_staging.hpp"`

## Public Attributes
Ncv32u | nStep
| pitch More...
Ncv32f * | pBU
| backward horizontal displacement More...
Ncv32f * | pBV
| backward vertical displacement More...
Ncv32f * | pFU
| forward horizontal displacement More...
Ncv32f * | pFV
| forward vertical displacement More...
Ncv32f * | pNewFrame
| new frame More...
Ncv32f | pos
| new frame position More...
Ncv32f * | ppBuffers [6]
| temporary buffers More...
Ncv32f * | pSrcFrame0
| frame 0 More...
Ncv32f * | pSrcFrame1
| frame 1 More...
NcvSize32u | size
| frame size More...

## Detailed Description

Frame interpolation state

This structure holds parameters required for frame interpolation. Forward displacement field is a per-pixel mapping from frame 0 to frame 1. Backward displacement field is a per-pixel mapping from frame 1 to frame 0.

## Member Data Documentation

## ◆ nStep

Ncv32u NppStInterpolationState::nStep

pitch

## ◆ pBU

Ncv32f* NppStInterpolationState::pBU

backward horizontal displacement

## ◆ pBV

Ncv32f* NppStInterpolationState::pBV

backward vertical displacement

## ◆ pFU

Ncv32f* NppStInterpolationState::pFU

forward horizontal displacement

## ◆ pFV

Ncv32f* NppStInterpolationState::pFV

forward vertical displacement

## ◆ pNewFrame

Ncv32f* NppStInterpolationState::pNewFrame

new frame

## ◆ pos

Ncv32f NppStInterpolationState::pos

new frame position

## ◆ ppBuffers

Ncv32f* NppStInterpolationState::ppBuffers[6]

temporary buffers

## ◆ pSrcFrame0

Ncv32f* NppStInterpolationState::pSrcFrame0

frame 0

## ◆ pSrcFrame1

Ncv32f* NppStInterpolationState::pSrcFrame1

frame 1

## ◆ size

NcvSize32u NppStInterpolationState::size

frame size

The documentation for this struct was generated from the following file:

- cudalegacy/include/opencv2/cudalegacy/NPP_staging.hpp